Subject: Re: [Bitcoin-development] Presenting a BIP for Shamir's Secret Sharing of Bitcoin private keys

From: Jan Møller <[email-masked]>
Date: Tue, 22 Apr 2014 10:51:42 +0200

I am concerned about space, but more about usability :-)
 I'll definitely use both M and the checksum.

On Tue, Apr 22, 2014 at 10:43 AM, Matt Whitlock <[email-masked]>wrote:

> On Tuesday, 22 April 2014, at 10:39 am, Jan Møller wrote:
> > Necessary Shares = M+1, not a problem
> >
> > I would probably encode N-of-M in 1 byte as I don't see good use cases
> with
> > more than 17 shares. Anyway, I am fine with it as it is.
>
> I agree that M > 16 is probably not a viable use case for human beings,
> but machines would probably be able to make use of it. I, for one, welcome
> our new robot overlords.
>
> Also, the byte that encodes M−1 is optional, so if you're concerned about
> space, you can omit it (and the checksum).
>